Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Feature auswählen VBA SW16

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Feature auswählen VBA SW16 (414 mal gelesen)
Sc1ssoR
Mitglied
Student


Sehen Sie sich das Profil von Sc1ssoR an!   Senden Sie eine Private Message an Sc1ssoR  Schreiben Sie einen Gästebucheintrag für Sc1ssoR

Beiträge: 26
Registriert: 11.04.2017

SolidWorks 16
VBA

erstellt am: 19. Jun. 2017 10:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi Leute,

ich lege im Featuretree einen Attributsordner an um dessen Parameter mit einem Wert in den Dateieigenschaften abzugleichen und ihn unzugänglich für Anwender zu machen.
Soweit Funktioniert alles wie geplant, nur wenn der Ordner schon erstellt ist und ich dessen Parameter ändern will habe ich das Problem das ich swAtt als Nothing habe,
Also nicht ausgewählt.

Mir stellt sich also die Frage ob ich das Attribut im Featuretree auswählen kann und wenn ja wie.

Ich will das Feature mit Namen suchen. Probiert habe ich bis jetzt folgendes:


    Set Feature = swModel.FirstFeature
    For i = 1 To swModel.GetFeatureCount
        Set swAtt = Feature.Name
        If swAtt = "Attribute" Then
            go = 1
        Else
        Set Feature = Feature.GetNextFeature
        End If
    Next i

Allerdings wird Feature.Name markiert und Typen unverträglich eingeblendet. (Dim Feature As SldWorks.Feature)

mit Feature.Select2 bin ich bisher auch nicht auf einen grünen Zweig gekommen

was habe ich noch für Möglichkeiten bzw was habe ich Falsch gemacht?

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

StefanBerlitz
Guter-Geist-Moderator
IT Admin (CAx)



Sehen Sie sich das Profil von StefanBerlitz an!   Senden Sie eine Private Message an StefanBerlitz  Schreiben Sie einen Gästebucheintrag für StefanBerlitz

Beiträge: 8756
Registriert: 02.03.2000

SunZu sagt:
Analysiere die Vorteile, die
du aus meinem Ratschlag ziehst.
Dann gliedere deine Kräfte
entsprechend und mache dir
außergewöhnliche Taktiken zunutze.

erstellt am: 19. Jun. 2017 10:17    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Sc1ssoR 10 Unities + Antwort hilfreich

Hallo Sc1ssorR,

Zitat:
Original erstellt von Sc1ssoR:
Allerdings wird Feature.Name markiert und Typen unverträglich eingeblendet. (Dim Feature As SldWorks.Feature)

So auf die Schnelle: du weist den String, den du von Feature.Name zurückbekommst der Variablen swAtt per Set zu, was eigentlich eher dafür spricht, dass du swAtt als Objekt oder Annotation deklariert hast. Da brauchst du aber einen String.

Ciao,
Stefan

------------------
Inoffizielle deutsche SolidWorks Hilfeseite    http://solidworks.cad.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Sc1ssoR
Mitglied
Student


Sehen Sie sich das Profil von Sc1ssoR an!   Senden Sie eine Private Message an Sc1ssoR  Schreiben Sie einen Gästebucheintrag für Sc1ssoR

Beiträge: 26
Registriert: 11.04.2017

SolidWorks 16
VBA

erstellt am: 19. Jun. 2017 11:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke für die schnelle Antwort Stefan.
Habe anstatt swAtt eine Variable Name als String eingefügt und es funktioniert.
Habe es danach mit "Name = Feature.Select2 (True,1)" ausgewählt, allerdings muss ich das Feature jetzt auf swAtt legen damit dies nicht mehr Nothing ist und ich mit "Set swParam = swAtt.GetParameter(DC)" denn Parameter lesen kann.
Kann ich das so überhaupt machen?

[Diese Nachricht wurde von Sc1ssoR am 19. Jun. 2017 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz